List workflow secrets
curl --request GET \
--url https://api.pineyard.ai/workflow-secrets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-secrets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "ACTIVE",
"lastFour": "<string>",
"allowedHost": "<string>",
"version": 123,
"lastRotatedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]Workflows
List workflow secrets
List reusable workflow secrets for the caller workspace (metadata only)
GET
/
workflow-secrets
List workflow secrets
curl --request GET \
--url https://api.pineyard.ai/workflow-secrets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-secrets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-secrets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "ACTIVE",
"lastFour": "<string>",
"allowedHost": "<string>",
"version": 123,
"lastRotatedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]Required scope:
workflows.view
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK

